(function($) {
  "use strict";

  $(document).foundation({
    equalizer : {
      // Specify if Equalizer should make elements equal height once they become stacked.
      equalize_on_stack: true
    },
    accordion: {
      // allow multiple accordion panels to be active at the same time
      multi_expand: false,
      // allow accordion panels to be closed by clicking on their headers
      // setting to false only closes accordion panels when another is opened
      toggleable: true
    }
  });


  //Run When Document Ready
  $(document).on('ready', function() {
    initPageFx();
    initMegaMenu();
    initWow();
    initBackTop();
    initDocsScroll();
  });


  function initDocsScroll() {
    var navigation_links = $("a");
      
      navigation_links.click( function(event) {
          $.scrollTo(
            $(this).attr("href"),
              {
                duration: 1000,
                offset: { 'left':0, 'top':-180 }
              }
          );
      });
  }

  // Animsition - Page Effects
  // ===================================

  function initPageFx() {
    $('.animsition').animsition({
      inClass: 'fade-in',
      outClass: 'fade-out-down-sm',
      inDuration: 1000,
      outDuration: 800,
      linkElement: '#primaryMenu a:not([target="_blank"]):not([href^=#])',
      loading: true,
      loadingParentElement: 'body', //animsition wrapper element
      loadingClass: 'loadSpinner',
      unSupportCss: [
                      'animation-duration',
                      '-webkit-animation-duration',
                      '-o-animation-duration'
                    ],
      overlay : false,
      overlayClass : 'animsition-overlay-slide',
      overlayParentElement : 'body'
    });
  }

  //  MegaMenu - Superfish
  //  ===============================================================================
  function initMegaMenu() {
    $('#primaryMenu > ul').superfish({
      popUpSelector: 'ul,.megaMenuContent',
      delay: 250,
      speed: 350,
      animation: {opacity:'show'},
      animationOut:  {opacity:'hide'},
      cssArrows: false // disable generation of arrow mark-up
    });

    $('#mobileMenuTrigger').click(function() {
      $( '#primaryMenu' ).toggleClass("show");
      
    });
  }


  $('.menuTrigger').click(function() {
      $( '.ddSidebar' ).toggleClass("show");
      return false;
  });
  
  //  WOW Animation
  //  ===============================================================================
  function initWow() {
    new WOW().init();
  }

  //  Back To Top
  //  ===============================================================================
  function initBackTop() {
    // browser window scroll (in pixels) after which the "back to top" link is shown
    var offset = 500,
        //browser window scroll (in pixels) after which the "back to top" link opacity is reduced
        offset_opacity = 1200,
        //duration of the top scrolling animation (in ms)
        scroll_top_duration = 700,
        //grab the "back to top" link
        $back_to_top = $('.backTop');

    //hide or show the "back to top" link
    $(window).scroll(function () {
        ($(this).scrollTop() > offset) ? $back_to_top.addClass('is-visible') : $back_to_top.removeClass('is-visible fade-out');
        if ($(this).scrollTop() > offset_opacity) {
            $back_to_top.addClass('fade-out');
        }
    });

    //smooth scroll to top
    $back_to_top.on('click', function (event) {
        event.preventDefault();
        $('body,html').animate({
            scrollTop: 0
        }, scroll_top_duration
            );
    });
  }

})(jQuery);
