<?php

namespace fastwp_sima_shortcodes;

// Do not allow directly accessing this file.
if ( ! defined( 'ABSPATH' ) ) {
	die( 'Direct script access denied.' );
}

class Lists extends \fastwp_sima_core\main {

	function __construct() {
        self::add_new_shortcode( 'sima_list', array( __CLASS__, 'shortcode' ) );
        self::add_vc_block( $this->vc_block() );
	}

	public static function shortcode( $atts = array(), $content = '' ) {
        extract( shortcode_atts( array(
            'title'         => '',
            'lists'         => '',
            'extra_class'   => ''
        ), $atts ) );

        $class = array();

        if( !empty( $extra_class ) ) {
            $class[] = $extra_class;
        }

        $markup = '<ul class="spaced liststyle' . ( !empty( $class ) ? ' ' . esc_attr( implode( ' ', $class ) ) : '' ) . '">';

        if( !empty( $lists ) ) {
            $lists = json_decode( urldecode( $lists ), true );
            foreach( $lists as $list ) {
                $markup .= '<li>';
                if( !empty( $list['name'] ) ) {
                    $markup .= '<strong>' . esc_html( $list['name'] ) . '</strong>';
                    if( !empty( $list['info'] ) ) $markup .= ' &#8212; ';
                }
                if( !empty( $list['info'] ) ) $markup .= esc_html( $list['info'] );
                $markup .= '</li>';
            }
        }

        $markup .= '</ul>';

        return $markup;
    }

    private function vc_block() {
        return array(
			"name"      => esc_html__( 'List', 'sima' ),
			"base"      => 'sima_list',
			"icon"      => get_template_directory_uri() . "/assets/img/sima_vc_icon.png",
			"category"  => esc_html__( 'Sima Elements', 'sima' ),
			"params"    => array(
                array(
					"save_always" 	=> true,
					"group"			=> esc_html__( 'Lists', 'sima' ),
                    'type'          => 'param_group',
                    'param_name'    => 'lists',
                    'params'        => array(
                                            array(
                            					"save_always"   => true,
                            					"type"          => 'textfield',
                            					"holder"        => false,
                            					"heading"       => esc_html__( 'Text', 'sima' ),
                            					"param_name"    => 'name',
                            					"admin_label"   => true
                                            ),
                                            array(
                            					"save_always"   => true,
                            					"type"          => 'textarea',
                            					"holder"        => false,
                            					"heading"       => esc_html__( 'Info', 'sima' ),
                            					"param_name"    => 'info',
                            					"admin_label"   => true
                                            ),
                                        )
                ),
				array(
					"save_always"   => true,
					"group"         => esc_html__( 'Extra', 'sima' ),
					"type"          => 'textfield',
					"heading"       => esc_html__( 'Extra Class', 'sima' ),
					"param_name"    => 'extra_class',
					"value"         => '',
					"admin_label"   => true,
					"description"   => esc_html__( 'Use this options to add an extra class to element, you can use this for custom css', 'sima' )
				),
			 ),
		);
    }

}

?>