<?php

namespace fastwp_sima_shortcodes;

// Do not allow directly accessing this file.
if ( ! defined( 'ABSPATH' ) ) {
	die( 'Direct script access denied.' );
}

class Title extends \fastwp_sima_core\main {

	function __construct() {
        self::add_new_shortcode( 'sima_title', array( __CLASS__, 'shortcode' ) );
        self::add_vc_block( $this->vc_block() );
	}

	public static function shortcode( $atts = array(), $content = '' ) {
        extract( shortcode_atts( array(
            'title'         => '',
            'tag'           => 'h2',
            'extra_class'   => ''
        ), $atts ) );

        $class = array();

        if( !in_array( $tag, array( 'h1', 'h2', 'h3', 'h4', 'h5', 'h6' ) ) ) {
            $tag = 'h2';
        }

        if( !empty( $extra_class ) ) {
            $class[] = $extra_class;
        }

        return '<' . $tag . ( !empty( $class ) ? ' class="' . esc_attr( implode( ' ', $class ) ) . '"' : '' ) . '>' . wp_kses( $title, array( 'br' => array() ) ) . '</' . $tag . '>';
    }

    private function vc_block() {
        return array(
			"name"      => esc_html__( 'Title', 'sima' ),
			"base"      => 'sima_title',
			"icon"      => get_template_directory_uri() . "/assets/img/sima_vc_icon.png",
			"category"  => esc_html__( 'Sima Elements', 'sima' ),
			"params"    => array(
                array(
					"save_always"   => true,
					"type"          => 'textfield',
					"holder"        => false,
					"heading"       => esc_html__( 'Title', 'sima' ),
					"param_name"    => 'title',
					"admin_label"   => true
                ),
				array(
					"save_always"   => true,
					"type"          => 'dropdown',
					"heading"       => esc_html__( 'Title Tag', 'sima' ),
					"param_name"    => 'tag',
					'value'         => array(
    										esc_html__( 'H1', 'sima' )    => 'h1',
    										esc_html__( 'H2', 'sima' )    => 'h2',
    										esc_html__( 'H3', 'sima' )    => 'h3',
    										esc_html__( 'H4', 'sima' )    => 'h4',
    										esc_html__( 'H5', 'sima' )    => 'h5',
    										esc_html__( 'H6', 'sima' )    => 'h6',
                                            ),
					"admin_label"   => true
				),
				array(
					"save_always"   => true,
					"group"         => esc_html__( 'Extra', 'sima' ),
					"type"          => 'textfield',
					"heading"       => esc_html__( 'Extra Class', 'sima' ),
					"param_name"    => 'extra_class',
					"value"         => '',
					"admin_label"   => true,
					"description"   => esc_html__( 'Use this options to add an extra class to element, you can use this for custom css', 'sima' )
				),
			 ),
		);
    }

}

?>