<?php

// Do not allow directly accessing this file.
if ( ! defined( 'ABSPATH' ) ) {
	die( 'Direct script access denied.' );
}

/*** Body classes ***/
fastwp_sima_theme\options::get_body_class();

?>

<!doctype html>
<html <?php language_attributes(); ?> class="no-js">
	<head>
		<meta charset="<?php bloginfo( 'charset' ); ?>">
        <meta name="viewport" content="width=device-width, initial-scale=1, minimum-scale=1, maximum-scale=1" />
		<meta name="description" content="<?php bloginfo('description'); ?>">
        <link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />
		<?php wp_head(); ?>
	</head>

<body <?php body_class(); ?>>

<?php if( fastwp_sima_theme\utils::get_option( 'show_preloader', true ) ) { ?>
<div id="page-loader">
    <div class="dots">
        <span></span>
        <span></span>
        <span></span>
    </div>
</div>
<?php }

$fastwp_sima_mt_menu = get_post_meta( get_the_ID(), 'menu_color', true );
if( in_array( $fastwp_sima_mt_menu, array( 'black', 'light' ) ) ) {
    if( $fastwp_sima_mt_menu == 'light' ) $fastwp_menu_is_light = 'light';
} else {
    if( fastwp_sima_theme\utils::get_option( 'menu_color' ) == 'light' ) $fastwp_menu_is_light = 'light';
}

?>

<header class="header<?php echo ( isset( $fastwp_menu_is_light ) ? ' light' : '' ); ?>">
    <div class="container">
        <a href="<?php echo esc_url( home_url( '/' ) ); ?>" class="header__logo float-left">
        <?php if( !isset( $fastwp_menu_is_light ) ) { ?>
            <?php if( ( $fastwp_sima_logo = wp_get_attachment_image_src( get_theme_mod( 'custom_logo' ) , 'full' ) ) && !empty( $fastwp_sima_logo[0] ) ) { ?>
                <img src="<?php echo esc_url( $fastwp_sima_logo[0] ); ?>" alt="<?php echo esc_attr__( 'Home', 'sima' ); ?>" class="normal">
            <?php } else {  ?>
                <span class="normal logo-text"><?php echo get_bloginfo( 'name' ); ?></span>
            <?php }
            } else {
            if( ( $fastwp_logo_light = fastwp_sima_theme\utils::get_option( 'custom_logo_light' ) ) && !empty( $fastwp_logo_light['url'] ) ) { ?>
                <img src="<?php echo esc_url( $fastwp_logo_light['url'] ); ?>" alt="<?php echo esc_attr__( 'Home', 'sima' ); ?>" class="light">
            <?php } else { ?>
                <span class="light logo-text"><?php echo get_bloginfo( 'name' ); ?></span>
            <?php }
            } ?>
        </a>
        <div class="header__burger float-right">
            <span class="burger"></span>
        </div>
    </div>
</header>

<div class="page__nav">
    <div class="close"><span></span></div>
    <?php echo fastwp_sima_theme\markup::the_menu(); ?>
    <p class="mail"><?php echo wp_kses( fastwp_sima_theme\utils::get_option( 'menu_contact_info' ), array( 'br' => array(), 'a' => array( 'href' ) ) ); ?></p>
</div>