<?php

// Do not allow directly accessing this file.
if ( ! defined( 'ABSPATH' ) ) {
	die( 'Direct script access denied.' );
}

?>

<?php if( have_posts() ) {

    while( have_posts() ) {

    the_post(); ?>

    <article class="post<?php echo ( is_sticky() ? ' sticky-post' : '' ); ?>">
        <?php if( !is_single() && has_post_thumbnail() && !post_password_required() && !is_attachment() ) { ?>
        <div class="post__image">
            <a href="<?php the_permalink(); ?>">
                <img src="<?php echo get_the_post_thumbnail_url(); ?>" alt="<?php esc_attr( get_the_title() ); ?>" class="responsive">
            </a>
        </div>
        <?php } else if( is_single() && get_post_format() == 'gallery' ) {
            $fastwp_sima_gallery = get_post_meta( get_the_ID(), 'post-gallery', true );
            if( !empty( $fastwp_sima_gallery ) ) {
                echo '<div class="post__image slider owl-carousel" data-arrows="true">';
                foreach( $fastwp_sima_gallery as $fastwp_sima_gallery_item ) {
                    echo '<img src="' . esc_url( $fastwp_sima_gallery_item['image'] ) . '" alt="' . esc_attr( $fastwp_sima_gallery_item['title'] ) . '" class="responsive">';
                }
            	echo '</div>';
            }
        } ?>

        <div class="post__content">
            <?php if( !is_single() || !( has_post_thumbnail() && !post_password_required() && !is_attachment() ) ) { ?>
            <h2 class="post__title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>
            <?php } ?>
            <div class="post__metas">
                <span class="author"><?php echo esc_html__( 'by ', 'sima' ) . get_the_author_link(); ?></span>
                <?php if( ! (boolean) fastwp_sima_theme\utils::get_option( 'fwp_blog_date_meta' ) ) { ?>
                <span class="date"><?php echo get_the_date(); ?></span>
                <?php } ?>
                <?php if( wp_count_comments( get_the_ID() )->approved > 0 ) { ?>
                <span class="comments"><a href="<?php echo get_the_permalink() . '#comments'; ?>"><i class="fa fa-comments"></i> <?php echo wp_count_comments( get_the_ID() )->approved; ?></a></span>
                <?php } ?>
            </div>
            <div class="post__excerpt">
                <?php if( is_single() ) {
                    echo '<div class="post-content clearfix">';
                        the_content();
                    echo '</div>';
                    wp_link_pages();
                } else the_excerpt(); ?>
            </div>
            <?php if( !is_single() ) { ?>
            <a href="<?php the_permalink(); ?>" class="btn"><?php echo esc_html__( 'read more', 'sima' ); ?></a>
            <?php } ?>
        <?php if( is_single() ) {

        $fastwp_sima_tags = get_the_tags();
        if( $fastwp_sima_tags ) {
            echo '<div class="gap-25"></div>
            <ul class="post__tags">';
            foreach( $fastwp_sima_tags as $fastwp_sima_tag ) {
                echo '<li><a href="' . esc_url( get_tag_link( $fastwp_sima_tag->term_id ) ) . '">' . $fastwp_sima_tag->name . '</a></li>';
            }
            echo '</ul>';
        }

        if( ( $fastwp_sima_post_nav = fastwp_sima_theme\main::single_post_navigation( true ) ) && ! (boolean) get_post_meta( get_the_ID(), 'hide_nav', true ) ) { ?>

        <div class="gap-100"></div>

        <!-- Project Navigation -->
        <div class="project__navigation clearfix">
            <?php if( isset( $fastwp_sima_post_nav['previous'] ) ) { ?>
            <a href="<?php echo get_the_permalink( $fastwp_sima_post_nav['previous']['postID'] ); ?>" class="nav prev float-left">
            	<div class="icon"></div>
                <?php echo esc_html( $fastwp_sima_post_nav['previous']['title'] ); ?>
            </a>
            <?php }
            if( isset( $fastwp_sima_post_nav['next'] ) ) { ?>
            <a href="<?php echo get_the_permalink( $fastwp_sima_post_nav['next']['postID'] ); ?>" class="nav next float-right">
            	<div class="icon"></div>
            	<?php echo esc_html( $fastwp_sima_post_nav['next']['title'] ); ?>
            </a>
            <?php } ?>
        </div>
        <!-- /Project Navigation -->
        <?php } ?>

        <!-- comments -->
        <?php comments_template( '', true ); ?>
        <!-- /comments -->
        <?php } ?>
        </div>
    </article>

    <?php }

    wp_reset_postdata();

} else { ?>

    <!-- article -->
    <article>
        <h2><?php esc_html_e( 'Sorry, nothing to display.', 'sima' ); ?></h2>
        <?php get_search_form(); ?>
    </article>
    <!-- /article -->

<?php } ?>
