<?php

// Do not allow directly accessing this file.
if ( ! defined( 'ABSPATH' ) ) {
	die( 'Direct script access denied.' );
}

get_header();
the_post();

$fastwp_sima_text_color = get_post_meta( get_the_ID(), 'hero_post_text_color', true ); ?>

<div class="hero small gradient">
    <div class="hero__image" data-bg-color="#f1f1f1"<?php if( has_post_thumbnail() && !post_password_required() && !is_attachment() ) echo ' data-bg="' . esc_url( get_the_post_thumbnail_url() ) . '"'; ?>></div>
    <div class="hero__content">
        <div class="hero__va">
            <div class="hero__vc" data-pos="bottom">
            	<div class="container<?php echo ( $fastwp_sima_text_color == 'black' ? '' : ' light-content' ); ?>">
                    <?php $fastwp_sima_categories = get_the_terms( get_the_ID(), 'portfolio-category' );
                    if( !empty( $fastwp_sima_categories ) ) {
                        $fastwp_sima_cats_arr = array();
                        foreach( $fastwp_sima_categories as $fastwp_sima_category ) {
                            $fastwp_sima_cats_arr[] = $fastwp_sima_category->name;
                        }
                        echo '<span>' . implode( ', ', $fastwp_sima_cats_arr ) . '</span>';
                    } ?>
            		<h2><?php the_title(); ?></h2>
            	</div>
            </div>
        </div>
    </div>
</div>

<div class="page__body">
<div class="container">

<?php

switch( (int) get_post_meta( get_the_ID(), 'portfolio_template', true ) ) {
    case 2:
        include FASTWP_SIMA_DIR . '/' . FASTWP_SIMA_FRAMEWORK_DIR . '/theme/portfolio-templates/template_2.php';
    break;
    case 3:
        include FASTWP_SIMA_DIR . '/' . FASTWP_SIMA_FRAMEWORK_DIR . '/theme/portfolio-templates/template_3.php';
    break;
    default:
        include FASTWP_SIMA_DIR . '/' . FASTWP_SIMA_FRAMEWORK_DIR . '/theme/portfolio-templates/template_default.php';
    break;
}

if( ( $fastwp_sima_post_nav = fastwp_sima_theme\main::single_post_navigation( true ) ) && ! (boolean) get_post_meta( get_the_ID(), 'hide_nav', true ) ) { ?>

<div class="gap-100"></div>

<!-- Project Navigation -->
<div class="project__navigation clearfix">
    <?php if( isset( $fastwp_sima_post_nav['previous'] ) ) { ?>
    <a href="<?php echo get_the_permalink( $fastwp_sima_post_nav['previous']['postID'] ); ?>" class="nav prev float-left">
    	<div class="icon"></div>
        <?php echo esc_html__( 'prev project', 'sima' ); ?>
    </a>
    <?php }
    if( isset( $fastwp_sima_post_nav['next'] ) ) { ?>
    <a href="<?php echo get_the_permalink( $fastwp_sima_post_nav['next']['postID'] ); ?>" class="nav next float-right">
    	<div class="icon"></div>
    	<?php echo esc_html__( 'next project', 'sima' ); ?>
    </a>
    <?php } ?>
</div>
<!-- /Project Navigation -->

<?php } ?>

<?php fastwp_sima_theme\markup::share_links(); ?>

</div>
</div>

<?php get_footer();