<?php

// Do not allow directly accessing this file.
if ( ! defined( 'ABSPATH' ) ) {
	die( 'Direct script access denied.' );
}

?>

<?php get_header();

$fastwp_sima_text_color = get_post_meta( get_the_ID(), 'hero_post_text_color', true );

if( has_post_thumbnail() && !post_password_required() && !is_attachment() ) { ?>

<div class="hero small gradient">
    <div class="hero__image" data-bg-color="#f1f1f1" data-bg="<?php echo get_the_post_thumbnail_url(); ?>"></div>
    <div class="hero__content">
        <div class="hero__va">
            <div class="hero__vc" data-pos="bottom">
            	<div class="container<?php echo ( $fastwp_sima_text_color !== 'black' ? ' light-content' : '' ); ?>">
            		<span class="hero__subtitle"><?php echo fastwp_sima_theme\utils::get_option( 'fwp_blog_minititle' ); ?></span>
            		<h2><?php the_title(); ?></h2>
            	</div>
            </div>
        </div>
    </div>
</div>

<?php } ?>

<div class="page__body">
    <div class="container">
	    <div class="row">
            <?php $fastwp_sima_sidebar = fastwp_sima_theme\utils::get_option( 'fwp_blog_sidebar_single' ); ?>
            <?php if( $fastwp_sima_sidebar == 'left' ) { ?>
            <div class="column col-4">
                <?php get_template_part( 'sidebar' ); ?>
            </div>
            <?php } ?>
            <div class="column col-<?php echo ( !empty( $fastwp_sima_sidebar ) && in_array( $fastwp_sima_sidebar, array( 'left', 'right' ) ) ? 8 : 12 ); ?>">
                <!-- content -->
                <?php get_template_part( 'loop' ); ?>
                <!-- /content -->
            </div>
            <?php if( $fastwp_sima_sidebar == 'right' ) { ?>
            <div class="column col-4">
                <?php get_template_part( 'sidebar' ); ?>
            </div>
            <?php } ?>
        </div>
    </div>
</div>

<?php get_footer(); ?>
